---
title: SelfPrivacy
images: ["brand.png"]
---

<div class="hero">
<div class="max-width">
<div class="flex-box-wrap flex-wrap">
<div class="hero-first-block ">
<div class="hero-img-box">
<img src="/images/Illustration.svg" alt="">
</div>
</div>
<div class="hero-second-block">
<p class="paragraph">
Platform on user's hosting provider for deploying private services, managed via mobile application.
</p>
<div class="img-box-slider">
<div class="side-screens">
<img src="/images/screenshots/1-en.png" alt="Digital independence, available to all of us">
</div>
<div>
<img src="/images/screenshots/2-en.png" alt="SelfPrivacy — it's not a cloud, but your personal datacenter">
</div>
<div>
<img src="/images/screenshots/3-en.png" alt="Services of SelfPrivacy">
</div>
<div>
<img src="/images/screenshots/4-en.png" alt="Connecting a server to SelfPrivacy">
</div>
<div class="side-screens">
<img src="/images/screenshots/5-en.png" alt="Your datacenter">
</div>
</div>
</div>
<div class="hero-third-block">
<a class="download-btn" href="https://f-droid.org/en/packages/pro.kherel.selfprivacy/">Download from F-Droid</a>
<a class="download-btn color-grey" href="second">Detailed manual</a>
<p class="paragraph"><a class="git-link" href="https://git.selfprivacy.org/kherel/selfprivacy.org.app/releases/latest">.APK, Linux, Windows, macOS</a></p>
<p class="paragraph"><a class="git-link" href="https://fdroid.selfprivacy.org">Our F-Droid repository</a></p>
<p class="paragraph"><a class="git-link" href="https://git.selfprivacy.org">Source code</a></p>
</div>
</div>
</div>
</div>
<div class="margin-16 boxes">
<div class="max-width">
<h2>
Your personal services
</h2>
<div class="flex-box-wrap flex-wrap jc-sb">
<div class="text-box">
<p class="top-p">
E-Mail
</p>
<p class="bottom-p">
Unlimited mailboxes amount for a company or family.
</p>
</div>
<div class="text-box">
<p class="top-p">
Messenger
</p>
<p class="bottom-p">
The most private messenger
is the one with the server part located on your personal server. That's what makes DeltaChat
more private than Telegram and Signal.
</p>
</div>
<div class="text-box">
<p class="top-p">
Password Manager
</p>
<p class="bottom-p">
Passwords no longer need to be remembered, copied between devices, invented or entered manually.
<br>
<br>
Bitwarden is a trusted password manager for all devices.
</p>
</div>
<div class="text-box">
<p class="top-p">
Cloud storage
</p>
<p class="bottom-p">
Nextcloud is a private
and functional replacement
for Dropbox and G-drive.
</p>
</div>
<div class="text-box">
<p class="top-p">
Videomeet
</p>
<p class="bottom-p">
Zoom and Google-meet are no longer needed when there is a Jitsi-meet. Very simple and convenient video
conferencing solution.
</p>
</div>
<div class="text-box">
<p class="top-p">
Git repository
</p>
<p class="bottom-p">
Gitea is an excellent analogue of Github, which belongs to you,
not Microsoft.
</p>
</div>
<div class="text-box">
<p class="top-p custom-p">
VPN for all of your friends and relatives devices
</p>
<p class="bottom-p">
No public VPN
can be private,
just those one which is on your server.
OpenConnect
— connect an unlimited number of devices.
</p>
</div>
<div class="text-box">
<p class="top-p">
Decentralized social network
</p>
<p class="bottom-p">
Pleroma is a social network where you decide who to block and what to publish. No more advertising and
surveillance.
</p>
</div>
</div>
</div>
</div>
<div class="margin-16 ">
<div class="max-width">
<h2 class="second">Advantages</h2>
<div class="flex-box-wrap flex-wrap jc-sb">
<div class="big-box">
<div class="blue-box">
<div>
<p>
Zero trust
</p>
<p>
SelfPrivacy is developed on the "zero trust" principle, even in relation to SelfPrivacy developers.
That means you're the sole owner of your data.
</p>
</div>
<div>
<p>
Simplicity
</p>
<p>
It works simple. Without console, complicated instructions, monitoring and involvement of specialists.
</p>
</div>
<div>
<p>
Functionality
</p>
<p>
Your data will not be lost thanks to regular automatic backups to a
separate data center.
</p>
</div>
</div>
</div>
<div class="big-box">
<div class="text-image-box">
<img src="/images/icons/cd-icon.png" alt="icon">
<p class="top-p">
Data control
</p>
<p class="bottom-p">
Why do corporations need your data?
To make you buy more and vote as they want.
With SelfPrivacy, only you have your data.
</p>
</div>
<div class="text-image-box">
<img src="/images/icons/shield-icon.png" alt="icon">
<p class="top-p">
Security
</p>
<p class="bottom-p">
Open source. The $2,000 reward for RCE vulnerability significantly increases security
compared to conventional self-hosted solutions.
</p>
</div>
</div>
<div class="big-box">
<div class="text-image-box">
<img src="/images/icons/list-icon.png" alt="icon">
<p class="top-p">
No license agreements
</p>
<p class="bottom-p">
What is written in the license agreements that you accept without reading?
It says that you allow companies to do anything with your data.
SelfPrivacy has no license agreements.
</p>
</div>
<div class="text-image-box">
<img src="/images/icons/like-icon.png" alt="icon">
<p class="top-p">
Save&nbsp;your time&nbsp;and&nbsp;money
</p>
<p class="bottom-p">
How to save $500 or two weeks of your life?
Will it take the same time and money for a specialist to set everything up from scratch?
<br><br>
SelfPrivacy team works continuously to speed up and simplify this process to a few clicks.
<br><br>
Now anyone will be capable to setup their own data center.
</p>
</div>
</div>
<div class="big-box">
<div class="text-image-box">
<img src="/images/icons/ind-icon.png" alt="icon">
<p class="top-p">
Independency
</p>
<p class="bottom-p">
Your communications on the internet no longer depend on Google, Facebook, Amazon and others E-Corps.
<br><br>
Your services are your rules!
You will not be blocked or disabled, accidentally or for any other reason.
Your infrastructure and data will always remain with you.
</p>
</div>
<div class="text-image-box">
<img src="/images/icons/eye-icon.png" alt="icon">
<p class="top-p">
Privacy
</p>
<p class="bottom-p">
No registration, cookies, telemetry, logs, Google analytics and clouds.
</p>
</div>
</div>
</div>
</div>
</div>
